# Norwegian Nynorsk (nn) locale

## `format` and `parse`

| Title                           | Token string | Date                     | `format` result                                    | `parse` result           |
| ------------------------------- | ------------ | ------------------------ | -------------------------------------------------- | ------------------------ |
| Calendar year                   | yo           | 1987-02-11T12:13:14.015Z | 1987.                                              | 1987-01-01T00:00:00.000Z |
|                                 |              | 0005-01-01T12:13:14.015Z | 5.                                                 | 0005-01-01T00:00:00.000Z |
| Local week-numbering year       | Yo           | 1987-02-11T12:13:14.015Z | 1987.                                              | 1986-12-29T00:00:00.000Z |
|                                 |              | 0005-01-01T12:13:14.015Z | 4.                                                 | 0003-12-29T00:00:00.000Z |
| Quarter (formatting)            | Qo           | 2019-01-01T12:13:14.015Z | 1.                                                 | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | 2.                                                 | 2019-04-01T00:00:00.000Z |
|                                 | QQQ          | 2019-01-01T12:13:14.015Z | Q1                                                 | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | Q2                                                 | 2019-04-01T00:00:00.000Z |
|                                 | QQQQ         | 2019-01-01T12:13:14.015Z | 1. kvartal                                         | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | 2. kvartal                                         | 2019-04-01T00:00:00.000Z |
|                                 | QQQQQ        | 2019-01-01T12:13:14.015Z | 1                                                  | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | 2                                                  | 2019-04-01T00:00:00.000Z |
| Quarter (stand-alone)           | qo           | 2019-01-01T12:13:14.015Z | 1.                                                 | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | 2.                                                 | 2019-04-01T00:00:00.000Z |
|                                 | qqq          | 2019-01-01T12:13:14.015Z | Q1                                                 | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | Q2                                                 | 2019-04-01T00:00:00.000Z |
|                                 | qqqq         | 2019-01-01T12:13:14.015Z | 1. kvartal                                         | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | 2. kvartal                                         | 2019-04-01T00:00:00.000Z |
| Month (formatting)              | Mo           | 2019-02-11T12:13:14.015Z | 2.                                                 | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7.                                                 | 2019-07-01T00:00:00.000Z |
|                                 | MMM          | 2019-02-11T12:13:14.015Z | feb.                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | juli                                               | 2019-07-01T00:00:00.000Z |
|                                 | MMMM         | 2019-02-11T12:13:14.015Z | februar                                            | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | juli                                               | 2019-07-01T00:00:00.000Z |
|                                 | MMMMM        | 2019-02-11T12:13:14.015Z | F                                                  | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | J                                                  | 2019-01-01T00:00:00.000Z |
| Month (stand-alone)             | Lo           | 2019-02-11T12:13:14.015Z | 2.                                                 | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7.                                                 | 2019-07-01T00:00:00.000Z |
|                                 | LLL          | 2019-02-11T12:13:14.015Z | feb.                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | juli                                               | 2019-07-01T00:00:00.000Z |
|                                 | LLLL         | 2019-02-11T12:13:14.015Z | februar                                            | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | juli                                               | 2019-07-01T00:00:00.000Z |
|                                 | LLLLL        | 2019-02-11T12:13:14.015Z | F                                                  | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | J                                                  | 2019-01-01T00:00:00.000Z |
| Local week of year              | wo           | 2019-01-01T12:13:14.015Z | 1.                                                 | 2018-12-31T00:00:00.000Z |
|                                 |              | 2019-12-01T12:13:14.015Z | 48.                                                | 2019-11-25T00:00:00.000Z |
| ISO week of year                | Io           | 2019-01-01T12:13:14.015Z | 1.                                                 | 2018-12-31T00:00:00.000Z |
|                                 |              | 2019-12-01T12:13:14.015Z | 48.                                                | 2019-11-25T00:00:00.000Z |
| Day of month                    | do           | 2019-02-11T12:13:14.015Z | 11.                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-28T12:13:14.015Z | 28.                                                | 2019-02-28T00:00:00.000Z |
| Day of year                     | Do           | 2019-02-11T12:13:14.015Z | 42.                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-12-31T12:13:14.015Z | 365.                                               | 2019-12-31T00:00:00.000Z |
| Day of week (formatting)        | E            | 2019-02-11T12:13:14.015Z | mån                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fre                                                | 2019-02-15T00:00:00.000Z |
|                                 | EE           | 2019-02-11T12:13:14.015Z | mån                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fre                                                | 2019-02-15T00:00:00.000Z |
|                                 | EEE          | 2019-02-11T12:13:14.015Z | mån                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fre                                                | 2019-02-15T00:00:00.000Z |
|                                 | EEEE         | 2019-02-11T12:13:14.015Z | måndag                                             | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fredag                                             | 2019-02-15T00:00:00.000Z |
|                                 | EEEEE        | 2019-02-11T12:13:14.015Z | M                                                  | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | F                                                  | 2019-02-15T00:00:00.000Z |
|                                 | EEEEEE       | 2019-02-11T12:13:14.015Z | må                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fr                                                 | 2019-02-15T00:00:00.000Z |
| ISO day of week (formatting)    | io           | 2019-02-11T12:13:14.015Z | 1.                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | 5.                                                 | 2019-02-15T00:00:00.000Z |
|                                 | iii          | 2019-02-11T12:13:14.015Z | mån                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fre                                                | 2019-02-15T00:00:00.000Z |
|                                 | iiii         | 2019-02-11T12:13:14.015Z | måndag                                             | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fredag                                             | 2019-02-15T00:00:00.000Z |
|                                 | iiiii        | 2019-02-11T12:13:14.015Z | M                                                  | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | F                                                  | 2019-02-15T00:00:00.000Z |
|                                 | iiiiii       | 2019-02-11T12:13:14.015Z | må                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fr                                                 | 2019-02-15T00:00:00.000Z |
| Local day of week (formatting)  | eo           | 2019-02-11T12:13:14.015Z | 1.                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | 5.                                                 | 2019-02-15T00:00:00.000Z |
|                                 | eee          | 2019-02-11T12:13:14.015Z | mån                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fre                                                | 2019-02-15T00:00:00.000Z |
|                                 | eeee         | 2019-02-11T12:13:14.015Z | måndag                                             | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fredag                                             | 2019-02-15T00:00:00.000Z |
|                                 | eeeee        | 2019-02-11T12:13:14.015Z | M                                                  | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | F                                                  | 2019-02-15T00:00:00.000Z |
|                                 | eeeeee       | 2019-02-11T12:13:14.015Z | må                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fr                                                 | 2019-02-15T00:00:00.000Z |
| Local day of week (stand-alone) | co           | 2019-02-11T12:13:14.015Z | 1.                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | 5.                                                 | 2019-02-15T00:00:00.000Z |
|                                 | ccc          | 2019-02-11T12:13:14.015Z | mån                                                | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fre                                                | 2019-02-15T00:00:00.000Z |
|                                 | cccc         | 2019-02-11T12:13:14.015Z | måndag                                             | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fredag                                             | 2019-02-15T00:00:00.000Z |
|                                 | ccccc        | 2019-02-11T12:13:14.015Z | M                                                  | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | F                                                  | 2019-02-15T00:00:00.000Z |
|                                 | cccccc       | 2019-02-11T12:13:14.015Z | må                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | fr                                                 | 2019-02-15T00:00:00.000Z |
| AM, PM                          | a            | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | aa           | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | aaa          | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | aaaa         | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | aaaaa        | 2019-02-11T11:13:14.015Z | a                                                  | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p                                                  | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p                                                  | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a                                                  | 2019-02-11T00:00:00.000Z |
| AM, PM, noon, midnight          | b            | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | bb           | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | bbb          | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | bbbb         | 2019-02-11T11:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p.m.                                               | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a.m.                                               | 2019-02-11T00:00:00.000Z |
|                                 | bbbbb        | 2019-02-11T11:13:14.015Z | a                                                  | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | p                                                  | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | p                                                  | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | a                                                  | 2019-02-11T00:00:00.000Z |
| Flexible day period             | B            | 2019-02-11T11:13:14.015Z | på morg.                                           | Invalid Date             |
|                                 |              | 2019-02-11T14:13:14.015Z | på etterm.                                         | Invalid Date             |
|                                 |              | 2019-02-11T19:13:14.015Z | på kvelden                                         | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | på natta                                           | 2019-02-11T00:00:00.000Z |
|                                 | BB           | 2019-02-11T11:13:14.015Z | på morg.                                           | Invalid Date             |
|                                 |              | 2019-02-11T14:13:14.015Z | på etterm.                                         | Invalid Date             |
|                                 |              | 2019-02-11T19:13:14.015Z | på kvelden                                         | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | på natta                                           | 2019-02-11T00:00:00.000Z |
|                                 | BBB          | 2019-02-11T11:13:14.015Z | på morg.                                           | Invalid Date             |
|                                 |              | 2019-02-11T14:13:14.015Z | på etterm.                                         | Invalid Date             |
|                                 |              | 2019-02-11T19:13:14.015Z | på kvelden                                         | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | på natta                                           | 2019-02-11T00:00:00.000Z |
|                                 | BBBB         | 2019-02-11T11:13:14.015Z | på morgonen                                        | 2019-02-11T04:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | på ettermiddagen                                   | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | på kvelden                                         | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | på natta                                           | 2019-02-11T00:00:00.000Z |
|                                 | BBBBB        | 2019-02-11T11:13:14.015Z | på morg.                                           | Invalid Date             |
|                                 |              | 2019-02-11T14:13:14.015Z | på etterm.                                         | Invalid Date             |
|                                 |              | 2019-02-11T19:13:14.015Z | på kvelden                                         | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | på natta                                           | 2019-02-11T00:00:00.000Z |
| Hour [1-12]                     | ho           | 2019-02-11T11:13:14.015Z | 11.                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 11.                                                | 2019-02-11T23:00:00.000Z |
| Hour [0-23]                     | Ho           | 2019-02-11T11:13:14.015Z | 11.                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 23.                                                | 2019-02-11T23:00:00.000Z |
| Hour [0-11]                     | Ko           | 2019-02-11T11:13:14.015Z | 11.                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 11.                                                | 2019-02-11T23:00:00.000Z |
| Hour [1-24]                     | ko           | 2019-02-11T11:13:14.015Z | 11.                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 23.                                                | 2019-02-11T23:00:00.000Z |
| Minute                          | mo           | 2019-01-01T12:01:14.015Z | 1.                                                 | 2019-01-01T12:01:00.000Z |
|                                 |              | 2019-04-01T12:55:14.015Z | 55.                                                | 2019-04-01T12:55:00.000Z |
| Second                          | so           | 2019-01-01T12:13:01.015Z | 1.                                                 | 2019-01-01T12:13:01.000Z |
|                                 |              | 2019-04-01T12:13:55.015Z | 55.                                                | 2019-04-01T12:13:55.000Z |
| Long localized date             | P            | 1987-02-11T12:13:14.015Z | 11.02.1987                                         | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 29.05.1453                                         | 1453-05-29T00:00:00.000Z |
|                                 | PP           | 1987-02-11T12:13:14.015Z | 11. feb. 1987                                      | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 29. mai 1453                                       | 1453-05-29T00:00:00.000Z |
|                                 | PPP          | 1987-02-11T12:13:14.015Z | 11. februar 1987                                   | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 29. mai 1453                                       | 1453-05-29T00:00:00.000Z |
|                                 | PPPP         | 1987-02-11T12:13:14.015Z | onsdag 11. februar 1987                            | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | sundag 29. mai 1453                                | 1453-05-29T00:00:00.000Z |
| Long localized time             | p            | 1987-02-11T12:13:14.015Z | 12:13                                              | 1987-02-11T12:13:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 23:59                                              | 1453-05-29T23:59:00.000Z |
|                                 | pp           | 1987-02-11T12:13:14.015Z | 12:13:14                                           | 1987-02-11T12:13:14.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 23:59:59                                           | 1453-05-29T23:59:59.000Z |
|                                 | ppp          | 1987-02-11T12:13:14.015Z | 12:13:14 GMT+0                                     | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | 23:59:59 GMT+0                                     | Errored                  |
|                                 | pppp         | 1987-02-11T12:13:14.015Z | kl. 12:13:14 GMT+00:00                             | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | kl. 23:59:59 GMT+00:00                             | Errored                  |
| Combination of date and time    | Pp           | 1987-02-11T12:13:14.015Z | 11.02.1987 12:13                                   | 1987-02-11T12:13:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 29.05.1453 23:59                                   | 1453-05-29T23:59:00.000Z |
|                                 | PPpp         | 1987-02-11T12:13:14.015Z | 11. feb. 1987 12:13:14                             | 1987-02-11T12:13:14.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 29. mai 1453 23:59:59                              | 1453-05-29T23:59:59.000Z |
|                                 | PPPppp       | 1987-02-11T12:13:14.015Z | 11. februar 1987 kl. 12:13:14 GMT+0                | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | 29. mai 1453 kl. 23:59:59 GMT+0                    | Errored                  |
|                                 | PPPPpppp     | 1987-02-11T12:13:14.015Z | onsdag 11. februar 1987 kl. kl. 12:13:14 GMT+00:00 | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | sundag 29. mai 1453 kl. kl. 23:59:59 GMT+00:00     | Errored                  |

## `formatDistance`

If now is January 1st, 2000, 00:00.

| Date                     | Result                 | `includeSeconds: true` | `addSuffix: true`            |
| ------------------------ | ---------------------- | ---------------------- | ---------------------------- |
| 2006-01-01T00:00:00.000Z | omtrent seks år        | omtrent seks år        | om omtrent seks år           |
| 2005-01-01T00:00:00.000Z | omtrent fem år         | omtrent fem år         | om omtrent fem år            |
| 2004-01-01T00:00:00.000Z | omtrent fire år        | omtrent fire år        | om omtrent fire år           |
| 2003-01-01T00:00:00.000Z | omtrent tre år         | omtrent tre år         | om omtrent tre år            |
| 2002-01-01T00:00:00.000Z | omtrent to år          | omtrent to år          | om omtrent to år             |
| 2001-06-01T00:00:00.000Z | over eitt år           | over eitt år           | om over eitt år              |
| 2001-02-01T00:00:00.000Z | omtrent eitt år        | omtrent eitt år        | om omtrent eitt år           |
| 2001-01-01T00:00:00.000Z | omtrent eitt år        | omtrent eitt år        | om omtrent eitt år           |
| 2000-06-01T00:00:00.000Z | fem månader            | fem månader            | om fem månader               |
| 2000-03-01T00:00:00.000Z | to månader             | to månader             | om to månader                |
| 2000-02-01T00:00:00.000Z | omtrent ein månad      | omtrent ein månad      | om omtrent ein månad         |
| 2000-01-15T00:00:00.000Z | 14 dagar               | 14 dagar               | om 14 dagar                  |
| 2000-01-02T00:00:00.000Z | ein dag                | ein dag                | om ein dag                   |
| 2000-01-01T06:00:00.000Z | omtrent seks timar     | omtrent seks timar     | om omtrent seks timar        |
| 2000-01-01T01:00:00.000Z | omtrent ein time       | omtrent ein time       | om omtrent ein time          |
| 2000-01-01T00:45:00.000Z | omtrent ein time       | omtrent ein time       | om omtrent ein time          |
| 2000-01-01T00:30:00.000Z | 30 minutt              | 30 minutt              | om 30 minutt                 |
| 2000-01-01T00:15:00.000Z | 15 minutt              | 15 minutt              | om 15 minutt                 |
| 2000-01-01T00:01:00.000Z | eitt minutt            | eitt minutt            | om eitt minutt               |
| 2000-01-01T00:00:25.000Z | mindre enn eitt minutt | eit halvt minutt       | om mindre enn eitt minutt    |
| 2000-01-01T00:00:15.000Z | mindre enn eitt minutt | mindre enn 20 sekund   | om mindre enn eitt minutt    |
| 2000-01-01T00:00:05.000Z | mindre enn eitt minutt | mindre enn ti sekund   | om mindre enn eitt minutt    |
| 2000-01-01T00:00:00.000Z | mindre enn eitt minutt | mindre enn fem sekund  | mindre enn eitt minutt sidan |
| 1999-12-31T23:59:55.000Z | mindre enn eitt minutt | mindre enn ti sekund   | mindre enn eitt minutt sidan |
| 1999-12-31T23:59:45.000Z | mindre enn eitt minutt | mindre enn 20 sekund   | mindre enn eitt minutt sidan |
| 1999-12-31T23:59:35.000Z | mindre enn eitt minutt | eit halvt minutt       | mindre enn eitt minutt sidan |
| 1999-12-31T23:59:00.000Z | eitt minutt            | eitt minutt            | eitt minutt sidan            |
| 1999-12-31T23:45:00.000Z | 15 minutt              | 15 minutt              | 15 minutt sidan              |
| 1999-12-31T23:30:00.000Z | 30 minutt              | 30 minutt              | 30 minutt sidan              |
| 1999-12-31T23:15:00.000Z | omtrent ein time       | omtrent ein time       | omtrent ein time sidan       |
| 1999-12-31T23:00:00.000Z | omtrent ein time       | omtrent ein time       | omtrent ein time sidan       |
| 1999-12-31T18:00:00.000Z | omtrent seks timar     | omtrent seks timar     | omtrent seks timar sidan     |
| 1999-12-30T00:00:00.000Z | to dagar               | to dagar               | to dagar sidan               |
| 1999-12-15T00:00:00.000Z | 17 dagar               | 17 dagar               | 17 dagar sidan               |
| 1999-12-01T00:00:00.000Z | omtrent ein månad      | omtrent ein månad      | omtrent ein månad sidan      |
| 1999-11-01T00:00:00.000Z | to månader             | to månader             | to månader sidan             |
| 1999-06-01T00:00:00.000Z | sju månader            | sju månader            | sju månader sidan            |
| 1999-01-01T00:00:00.000Z | omtrent eitt år        | omtrent eitt år        | omtrent eitt år sidan        |
| 1998-12-01T00:00:00.000Z | omtrent eitt år        | omtrent eitt år        | omtrent eitt år sidan        |
| 1998-06-01T00:00:00.000Z | over eitt år           | over eitt år           | over eitt år sidan           |
| 1998-01-01T00:00:00.000Z | omtrent to år          | omtrent to år          | omtrent to år sidan          |
| 1997-01-01T00:00:00.000Z | omtrent tre år         | omtrent tre år         | omtrent tre år sidan         |
| 1996-01-01T00:00:00.000Z | omtrent fire år        | omtrent fire år        | omtrent fire år sidan        |
| 1995-01-01T00:00:00.000Z | omtrent fem år         | omtrent fem år         | omtrent fem år sidan         |
| 1994-01-01T00:00:00.000Z | omtrent seks år        | omtrent seks år        | omtrent seks år sidan        |

## `formatDistanceStrict`

If now is January 1st, 2000, 00:00.

| Date                     | Result      | `addSuffix: true` | With forced unit (i.e. `hour`) |
| ------------------------ | ----------- | ----------------- | ------------------------------ |
| 2006-01-01T00:00:00.000Z | seks år     | om seks år        | 52608 timar                    |
| 2005-01-01T00:00:00.000Z | fem år      | om fem år         | 43848 timar                    |
| 2004-01-01T00:00:00.000Z | fire år     | om fire år        | 35064 timar                    |
| 2003-01-01T00:00:00.000Z | tre år      | om tre år         | 26304 timar                    |
| 2002-01-01T00:00:00.000Z | to år       | om to år          | 17544 timar                    |
| 2001-06-01T00:00:00.000Z | eitt år     | om eitt år        | 12408 timar                    |
| 2001-02-01T00:00:00.000Z | eitt år     | om eitt år        | 9528 timar                     |
| 2001-01-01T00:00:00.000Z | eitt år     | om eitt år        | 8784 timar                     |
| 2000-06-01T00:00:00.000Z | fem månader | om fem månader    | 3648 timar                     |
| 2000-03-01T00:00:00.000Z | to månader  | om to månader     | 1440 timar                     |
| 2000-02-01T00:00:00.000Z | ein månad   | om ein månad      | 744 timar                      |
| 2000-01-15T00:00:00.000Z | 14 dagar    | om 14 dagar       | 336 timar                      |
| 2000-01-02T00:00:00.000Z | ein dag     | om ein dag        | 24 timar                       |
| 2000-01-01T06:00:00.000Z | seks timar  | om seks timar     | seks timar                     |
| 2000-01-01T01:00:00.000Z | ein time    | om ein time       | ein time                       |
| 2000-01-01T00:45:00.000Z | 45 minutt   | om 45 minutt      | ein time                       |
| 2000-01-01T00:30:00.000Z | 30 minutt   | om 30 minutt      | ein time                       |
| 2000-01-01T00:15:00.000Z | 15 minutt   | om 15 minutt      | null timar                     |
| 2000-01-01T00:01:00.000Z | eitt minutt | om eitt minutt    | null timar                     |
| 2000-01-01T00:00:25.000Z | 25 sekund   | om 25 sekund      | null timar                     |
| 2000-01-01T00:00:15.000Z | 15 sekund   | om 15 sekund      | null timar                     |
| 2000-01-01T00:00:05.000Z | fem sekund  | om fem sekund     | null timar                     |
| 2000-01-01T00:00:00.000Z | null sekund | null sekund sidan | null timar                     |
| 1999-12-31T23:59:55.000Z | fem sekund  | fem sekund sidan  | null timar                     |
| 1999-12-31T23:59:45.000Z | 15 sekund   | 15 sekund sidan   | null timar                     |
| 1999-12-31T23:59:35.000Z | 25 sekund   | 25 sekund sidan   | null timar                     |
| 1999-12-31T23:59:00.000Z | eitt minutt | eitt minutt sidan | null timar                     |
| 1999-12-31T23:45:00.000Z | 15 minutt   | 15 minutt sidan   | null timar                     |
| 1999-12-31T23:30:00.000Z | 30 minutt   | 30 minutt sidan   | ein time                       |
| 1999-12-31T23:15:00.000Z | 45 minutt   | 45 minutt sidan   | ein time                       |
| 1999-12-31T23:00:00.000Z | ein time    | ein time sidan    | ein time                       |
| 1999-12-31T18:00:00.000Z | seks timar  | seks timar sidan  | seks timar                     |
| 1999-12-30T00:00:00.000Z | to dagar    | to dagar sidan    | 48 timar                       |
| 1999-12-15T00:00:00.000Z | 17 dagar    | 17 dagar sidan    | 408 timar                      |
| 1999-12-01T00:00:00.000Z | ein månad   | ein månad sidan   | 744 timar                      |
| 1999-11-01T00:00:00.000Z | to månader  | to månader sidan  | 1464 timar                     |
| 1999-06-01T00:00:00.000Z | sju månader | sju månader sidan | 5136 timar                     |
| 1999-01-01T00:00:00.000Z | eitt år     | eitt år sidan     | 8760 timar                     |
| 1998-12-01T00:00:00.000Z | eitt år     | eitt år sidan     | 9504 timar                     |
| 1998-06-01T00:00:00.000Z | to år       | to år sidan       | 13896 timar                    |
| 1998-01-01T00:00:00.000Z | to år       | to år sidan       | 17520 timar                    |
| 1997-01-01T00:00:00.000Z | tre år      | tre år sidan      | 26280 timar                    |
| 1996-01-01T00:00:00.000Z | fire år     | fire år sidan     | 35064 timar                    |
| 1995-01-01T00:00:00.000Z | fem år      | fem år sidan      | 43824 timar                    |
| 1994-01-01T00:00:00.000Z | seks år     | seks år sidan     | 52584 timar                    |

## `formatRelative`

If now is January 1st, 2000, 00:00.

| Date                     | Result                 |
| ------------------------ | ---------------------- |
| 2000-01-10T00:00:00.000Z | 10.01.2000             |
| 2000-01-05T00:00:00.000Z | onsdag kl. 00:00       |
| 2000-01-02T00:00:00.000Z | i morgon kl. 00:00     |
| 2000-01-01T00:00:00.000Z | i dag kl. 00:00        |
| 1999-12-31T00:00:00.000Z | i går kl. 00:00        |
| 1999-12-27T00:00:00.000Z | førre måndag kl. 00:00 |
| 1999-12-21T00:00:00.000Z | 21.12.1999             |
